Bug 1249375 - [abrt] java-1.8.0-openjdk-devel: signalHandler(): java killed by SIGABRT
[abrt] java-1.8.0-openjdk-devel: signalHandler(): java killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: java-1.8.0-openjdk (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:87b9d01ce4d5c8d2377bdae8652...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-02 02:40 EDT by Daniel Rindt
Modified: 2016-07-19 13:19 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:19:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (30.58 KB, text/plain)
2015-08-02 02:40 EDT, Daniel Rindt
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-02 02:40 EDT, Daniel Rindt
no flags Details
File: core_backtrace (125.96 KB, text/plain)
2015-08-02 02:40 EDT, Daniel Rindt
no flags Details
File: dso_list (13.44 KB, text/plain)
2015-08-02 02:40 EDT, Daniel Rindt
no flags Details
File: environ (1.94 KB, text/plain)
2015-08-02 02:40 EDT, Daniel Rindt
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-02 02:40 EDT, Daniel Rindt
no flags Details
File: maps (121.85 KB, text/plain)
2015-08-02 02:40 EDT, Daniel Rindt
no flags Details
File: mountinfo (3.54 KB, text/plain)
2015-08-02 02:40 EDT, Daniel Rindt
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-02 02:40 EDT, Daniel Rindt
no flags Details
File: open_fds (46.97 KB, text/plain)
2015-08-02 02:40 EDT, Daniel Rindt
no flags Details
File: proc_pid_status (1006 bytes, text/plain)
2015-08-02 02:40 EDT, Daniel Rindt
no flags Details
File: var_log_messages (356 bytes, text/plain)
2015-08-02 02:40 EDT, Daniel Rindt
no flags Details

  None (edit)
Description Daniel Rindt 2015-08-02 02:40:24 EDT
Version-Release number of selected component:
java-1.8.0-openjdk-devel-1.8.0.51-4.b16.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.51-4.b16.fc22.x86_64/bin/java -Xbootclasspath/a:/home/drindt/.bin/android-studio/bin/../lib/boot.jar -classpath /home/drindt/.bin/android-studio/bin/../lib/bootstrap.jar:/home/drindt/.bin/android-studio/bin/../lib/extensions.jar:/home/drindt/.bin/android-studio/bin/../lib/util.jar:/home/drindt/.bin/android-studio/bin/../lib/jdom.jar:/home/drindt/.bin/android-studio/bin/../lib/log4j.jar:/home/drindt/.bin/android-studio/bin/../lib/trove4j.jar:/home/drindt/.bin/android-studio/bin/../lib/jna.jar:/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.51-4.b16.fc22.x86_64/lib/tools.jar -Xms256m -Xmx1280m -XX:MaxPermSize=350m -XX:ReservedCodeCacheSize=225m -XX:+UseConcMarkSweepGC -XX:SoftRefLRUPolicyMSPerMB=50 -ea -Djna.nosys=true -Djna.boot.library.path= -Djna.debug_load=true -Djna.debug_load.jna=true -Dsun.io.useCanonCaches=false -Djava.net.preferIPv4Stack=true -Dawt.useSystemAAFontSettings=lcd -Dhidpi=true -Djb.vmOptionsFile=/home/drindt/.bin/android-studio/bin/studio64.vmoptions -XX:ErrorFile=/home/drindt/java_error_in_STUDIO_%p.log -Djb.restart.code=88 -Didea.paths.selector=AndroidStudio1.3 -Didea.platform.prefix=AndroidStudio com.intellij.idea.Main
crash_function: signalHandler
executable:     /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.51-4.b16.fc22.x86_64/bin/java
global_pid:     6608
kernel:         4.1.3-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 0 (10 frames)
 #5 signalHandler at /usr/src/debug/java-1.8.0-openjdk-1.8.0.51-4.b16.fc22.x86_64/openjdk/hotspot/src/os/linux/vm/os_linux.cpp:4272
 #7 oopDesc::size at /usr/src/debug/java-1.8.0-openjdk-1.8.0.51-4.b16.fc22.x86_64/openjdk/hotspot/src/share/vm/oops/oop.inline.hpp:76
 #8 MarkFromRootsClosure::scanOopsInOop at /usr/src/debug/java-1.8.0-openjdk-1.8.0.51-4.b16.fc22.x86_64/openjdk/hotspot/src/share/vm/gc_implementation/concurrentMarkSweep/concurrentMarkSweepGeneration.cpp:7503
 #9 MarkFromRootsClosure::do_bit at /usr/src/debug/java-1.8.0-openjdk-1.8.0.51-4.b16.fc22.x86_64/openjdk/hotspot/src/share/vm/gc_implementation/concurrentMarkSweep/concurrentMarkSweepGeneration.cpp:7455
 #10 BitMap::iterate at /usr/src/debug/java-1.8.0-openjdk-1.8.0.51-4.b16.fc22.x86_64/openjdk/hotspot/src/share/vm/utilities/bitMap.cpp:462
 #11 CMSCollector::do_marking_st at /usr/src/debug/java-1.8.0-openjdk-1.8.0.51-4.b16.fc22.x86_64/openjdk/hotspot/src/share/vm/utilities/bitMap.hpp:206
 #12 CMSCollector::markFromRoots at /usr/src/debug/java-1.8.0-openjdk-1.8.0.51-4.b16.fc22.x86_64/openjdk/hotspot/src/share/vm/gc_implementation/concurrentMarkSweep/concurrentMarkSweepGeneration.cpp:3870
 #13 CMSCollector::collect_in_background at /usr/src/debug/java-1.8.0-openjdk-1.8.0.51-4.b16.fc22.x86_64/openjdk/hotspot/src/share/vm/gc_implementation/concurrentMarkSweep/concurrentMarkSweepGeneration.cpp:2373
 #14 ConcurrentMarkSweepThread::run at /usr/src/debug/java-1.8.0-openjdk-1.8.0.51-4.b16.fc22.x86_64/openjdk/hotspot/src/share/vm/gc_implementation/concurrentMarkSweep/concurrentMarkSweepThread.cpp:145
 #15 java_start at /usr/src/debug/java-1.8.0-openjdk-1.8.0.51-4.b16.fc22.x86_64/openjdk/hotspot/src/os/linux/vm/os_linux.cpp:832
Comment 1 Daniel Rindt 2015-08-02 02:40:29 EDT
Created attachment 1058433 [details]
File: backtrace
Comment 2 Daniel Rindt 2015-08-02 02:40:30 EDT
Created attachment 1058434 [details]
File: cgroup
Comment 3 Daniel Rindt 2015-08-02 02:40:33 EDT
Created attachment 1058435 [details]
File: core_backtrace
Comment 4 Daniel Rindt 2015-08-02 02:40:34 EDT
Created attachment 1058436 [details]
File: dso_list
Comment 5 Daniel Rindt 2015-08-02 02:40:36 EDT
Created attachment 1058437 [details]
File: environ
Comment 6 Daniel Rindt 2015-08-02 02:40:37 EDT
Created attachment 1058438 [details]
File: limits
Comment 7 Daniel Rindt 2015-08-02 02:40:40 EDT
Created attachment 1058439 [details]
File: maps
Comment 8 Daniel Rindt 2015-08-02 02:40:41 EDT
Created attachment 1058440 [details]
File: mountinfo
Comment 9 Daniel Rindt 2015-08-02 02:40:42 EDT
Created attachment 1058441 [details]
File: namespaces
Comment 10 Daniel Rindt 2015-08-02 02:40:44 EDT
Created attachment 1058442 [details]
File: open_fds
Comment 11 Daniel Rindt 2015-08-02 02:40:46 EDT
Created attachment 1058443 [details]
File: proc_pid_status
Comment 12 Daniel Rindt 2015-08-02 02:40:47 EDT
Created attachment 1058444 [details]
File: var_log_messages
Comment 13 Deepak Bhole 2015-08-04 09:39:26 EDT
Hi, how can I reproduce this?
Comment 14 Daniel Rindt 2015-08-04 11:33:43 EDT
I run Android Studio on top of openjdk so this is a sporadic error and i have no idea how to reproduce. :( Maybe this happen next time again and i have more information. This was the first case which i could let create with abrt.
Comment 15 Fedora End Of Life 2016-07-19 13:19:01 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.